Commit 60413921 authored by Sven Neumann's avatar Sven Neumann Committed by Sven Neumann

gimp-1.3.pc.in don't use $VERSION because pkg-config and the like don't

2004-01-07  Sven Neumann  <sven@gimp.org>

	* gimp-1.3.pc.in
	* gimpui-1.3.pc.in: don't use $VERSION because pkg-config and the
	like don't like the 2.0pre version numbers. Instead create a
	parseable version number from major, minor and micro version.

	* m4macros/gimp-2.0.m4: check for 1.3.24 or newer.
parent 79b919ae
2004-01-07 Sven Neumann <sven@gimp.org>
* gimp-1.3.pc.in
* gimpui-1.3.pc.in: don't use $VERSION because pkg-config and the
like don't like the 2.0pre version numbers. Instead create a
parseable version number from major, minor and micro version.
* m4macros/gimp-2.0.m4: check for 1.3.24 or newer.
2004-01-07 Sven Neumann <sven@gimp.org>
* libgimpthumb/gimpthumb.def: fixed wrong function name.
......@@ -8,7 +8,7 @@ gimplibdir=@gimpplugindir@
Name: GIMP
Description: GIMP Library
Version: @VERSION@
Version: @GIMP_MAJOR_VERSION@.@GIMP_MINOR_VERSION@.@GIMP_MICRO_VERSION@
Requires: glib-2.0
Libs: -L${libdir} -lgimpbase-1.3 -lgimpcolor-1.3 -lgimpmath-1.3 -lgimp-1.3
Cflags: -I${includedir}/gimp-1.3
......@@ -8,7 +8,7 @@ gimplibdir=@gimpplugindir@
Name: GIMP
Description: GIMP Library
Version: @VERSION@
Version: @GIMP_MAJOR_VERSION@.@GIMP_MINOR_VERSION@.@GIMP_MICRO_VERSION@
Requires: glib-2.0
Libs: -L${libdir} -lgimpbase-1.3 -lgimpcolor-1.3 -lgimpmath-1.3 -lgimp-1.3
Cflags: -I${includedir}/gimp-1.3
......@@ -8,7 +8,7 @@ gimplibdir=@gimpplugindir@
Name: GIMP
Description: GIMP Library
Version: @VERSION@
Version: @GIMP_MAJOR_VERSION@.@GIMP_MINOR_VERSION@.@GIMP_MICRO_VERSION@
Requires: glib-2.0
Libs: -L${libdir} -lgimpbase-1.3 -lgimpcolor-1.3 -lgimpmath-1.3 -lgimp-1.3
Cflags: -I${includedir}/gimp-1.3
......@@ -5,7 +5,7 @@ includedir=@includedir@
Name: GIMP UI
Description: GIMP User Interface Library
Version: @VERSION@
Version: @GIMP_MAJOR_VERSION@.@GIMP_MINOR_VERSION@.@GIMP_MICRO_VERSION@
Requires: gimp-1.3 gtk+-2.0 >= 2.2.0
Libs: -L${libdir} -lgimpui-1.3 -lgimpwidgets-1.3
Cflags: -I${includedir}/gimp-1.3
......@@ -5,7 +5,7 @@ includedir=@includedir@
Name: GIMP UI
Description: GIMP User Interface Library
Version: @VERSION@
Version: @GIMP_MAJOR_VERSION@.@GIMP_MINOR_VERSION@.@GIMP_MICRO_VERSION@
Requires: gimp-1.3 gtk+-2.0 >= 2.2.0
Libs: -L${libdir} -lgimpui-1.3 -lgimpwidgets-1.3
Cflags: -I${includedir}/gimp-1.3
......@@ -5,7 +5,7 @@ includedir=@includedir@
Name: GIMP UI
Description: GIMP User Interface Library
Version: @VERSION@
Version: @GIMP_MAJOR_VERSION@.@GIMP_MINOR_VERSION@.@GIMP_MICRO_VERSION@
Requires: gimp-1.3 gtk+-2.0 >= 2.2.0
Libs: -L${libdir} -lgimpui-1.3 -lgimpwidgets-1.3
Cflags: -I${includedir}/gimp-1.3
......@@ -31,7 +31,7 @@ AC_ARG_ENABLE(gimptest, [ --disable-gimptest do not try to compile and run
no_gimp=yes
fi
min_gimp_version=ifelse([$1], ,1.3.22,$1)
min_gimp_version=ifelse([$1], ,1.3.24,$1)
AC_MSG_CHECKING(for GIMP - version >= $min_gimp_version)
if test x$PKG_CONFIG != xno ; then
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment